dantherm_reset_filter_lifetime:
  alias: Dantherm - Reset Filter Lifetime
  sequence:
  - service: modbus.write_register
    data:
      address: 558
      slave: 1
      value:
      - 1
      - 0
      hub: Dantherm Ventilation
  mode: single
  icon: mdi:air-filter
dantherm_fan_speed_1:
  alias: Dantherm - Fan Speed 1
  sequence:
  - service: modbus.write_register
    data:
      address: 324
      slave: 1
      value:
      - 1
      - 0
      hub: Dantherm Ventilation
  mode: single
  icon: mdi:fan-speed-1
dantherm_fan_speed_2:
  alias: Dantherm - Fan Speed 2
  sequence:
  - service: modbus.write_register
    data:
      address: 324
      slave: 1
      value:
      - 2
      - 0
      hub: Dantherm Ventilation
  mode: single
  icon: mdi:fan-speed-2
dantherm_fan_speed_3:
  alias: Dantherm - Fan Speed 3
  sequence:
  - service: modbus.write_register
    data:
      address: 324
      slave: 1
      value:
      - 3
      - 0
      hub: Dantherm Ventilation
  mode: single
  icon: mdi:fan-speed-3
dantherm_fan_speed_4:
  alias: Dantherm - Fan Speed 4
  sequence:
  - service: modbus.write_register
    data:
      address: 324
      slave: 1
      value:
      - 4
      - 0
      hub: Dantherm Ventilation
  mode: single
  icon: custom:fan-speed-4
dantherm_alarm_reset:
  alias: Dantherm - Alarm Reset
  sequence:
  - service: modbus.write_register
    data:
      address: 514
      slave: 1
      value:
      - 0
      - 0
      hub: Dantherm Ventilation
  - service: input_boolean.turn_off
    data: {}
    target:
      entity_id: input_boolean.dantherm_alarm_active
  mode: single
  icon: mdi:fan-alert
dantherm_manual_mode:
  alias: Dantherm - Manual Mode
  sequence:
  - if:
    - condition: template
      value_template: '{{ states(''sensor.dantherm_current_unit_mode'') | int != 1
        }}'
    then:
    - service: modbus.write_register
      data:
        address: 168
        slave: 1
        hub: Dantherm Ventilation
        value:
        - 4
        - 0
  mode: single
  icon: mdi:gesture-tap
dantherm_demand_mode:
  alias: Dantherm - Demand mode
  sequence:
  - if:
    - condition: template
      value_template: '{{ states(''sensor.dantherm_current_unit_mode'') | int != 2
        }}'
    then:
    - service: modbus.write_register
      data:
        address: 168
        slave: 1
        hub: Dantherm Ventilation
        value:
        - 2
        - 0
  mode: single
  icon: mdi:fan-auto
dantherm_weekprogram_mode:
  alias: Dantherm - Week program mode
  sequence:
  - if:
    - condition: template
      value_template: '{{ states(''sensor.dantherm_current_unit_mode'') | int != 3
        }}'
    then:
    - service: modbus.write_register
      data:
        address: 168
        slave: 1
        hub: Dantherm Ventilation
        value:
        - 8
        - 0
  mode: single
  icon: mdi:calendar-week
